### run-tests.perl  -*- Perl -*-
## A simplistic wrapper around TAP::Harness.

### Ivan Shmakov, 2022

## To the extent possible under law, the author(s) have dedicated
## all copyright and related and neighboring rights to this software
## to the public domain worldwide.  This software is distributed
## without any warranty.

## You should have received a copy of the CC0 Public Domain Dedication
## along with this software.  If not, see
## <http://creativecommons.org/publicdomain/zero/1.0/>.

### History:

## 0.1  2022-10-11
##      Initial revision.

### Code:
use common::sense;
use English qw (-no_match_vars);

require TAP::Harness;

shift (@ARGV)
    if ("--" eq $ARGV[0]);
## .
die ("Usage: \$ ${0} [--] FILE-OR-DIRECTORY...\n")
    unless (0 < @ARGV);

my @a
    = map { -d $_ ? glob ($_ . "/*.te") : $_; } (@ARGV);
my $h
    = TAP::Harness->new ({ qw (verbosity 1 timer 1) });
$h->runtests (@a);

### run-tests.perl ends here
